%define	translations_version	6.4.1
Summary:	Cinnamon screensaver
Summary(pl.UTF-8):	Wygaszacz ekranu dla środowiska Cinnamon
Name:		cinnamon-screensaver
Version:	6.4.0
Release:	1
License:	GPL v2+
Group:		X11/Applications
#Source0Download: https://github.com/linuxmint/cinnamon-screensaver/tags
Source0:	https://github.com/linuxmint/cinnamon-screensaver/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	c3ebeff0e60d2bd24f64a1c9bc3d38e4
#Source1Download: https://github.com/linuxmint/cinnamon-translations/tags
Source1:	https://github.com/linuxmint/cinnamon-translations/archive/%{translations_version}/cinnamon-translations-%{translations_version}.tar.gz
# Source1-md5:	2d12def6818b100664081e979343d214
URL:		https://github.com/linuxmint/cinnamon-screensaver
BuildRequires:	dbus-devel
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	gtk+3-devel >= 3.0
BuildRequires:	meson >= 0.56.0
BuildRequires:	ninja >= 1.5
BuildRequires:	pam-devel
BuildRequires:	pkgconfig >= 1:0.22
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	xdotool-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXinerama-devel
BuildRequires:	xorg-lib-libXrandr-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Screensaver utility.

%description -l pl.UTF-8
Wygaszacz ekranu dla środowiska Cinnamon.

%prep
%setup -q -a1

%build
%meson build \
	--default-library=shared

%ninja_build -C build

%{__make} -C cinnamon-translations-%{translations_version}

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%py3_comp $RPM_BUILD_ROOT%{_datadir}/cinnamon-screensaver
%py3_ocomp $RPM_BUILD_ROOT%{_datadir}/cinnamon-screensaver

cd cinnamon-translations-%{translations_version}
for f in usr/share/locale/*/LC_MESSAGES/%{name}.mo ; do
	install -D "$f" "$RPM_BUILD_ROOT/$f"
done
cd ..

# no headers / development package
%{__rm} $RPM_BUILD_ROOT%{_datadir}/gir-1.0/CScreensaver-1.0.gir

# not supported by glibc (as of 2.39)
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{frp,mo,nap,rue,sco}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS NEWS README.md debian/changelog
%attr(755,root,root) %{_bindir}/cinnamon-screensaver
%attr(755,root,root) %{_bindir}/cinnamon-screensaver-command
%attr(755,root,root) %{_bindir}/cinnamon-unlock-desktop
%dir %{_libexecdir}/cinnamon-screensaver
%attr(755,root,root) %{_libexecdir}/cinnamon-screensaver/cinnamon-screensaver-pam-helper
%attr(755,root,root) %{_libexecdir}/cinnamon-screensaver/cs-backup-locker
%attr(755,root,root) %{_libexecdir}/cinnamon-screensaver/libcscreensaver.so
%dir %{_libexecdir}/cinnamon-screensaver/girepository-1.0
%{_libexecdir}/cinnamon-screensaver/girepository-1.0/CScreensaver-1.0.typelib
%config(noreplace) %verify(not md5 mtime size) /etc/pam.d/cinnamon-screensaver
%dir %{_datadir}/cinnamon-screensaver
%attr(755,root,root) %{_datadir}/cinnamon-screensaver/cinnamon-screensaver-command.py
%attr(755,root,root) %{_datadir}/cinnamon-screensaver/cinnamon-screensaver-main.py
%attr(755,root,root) %{_datadir}/cinnamon-screensaver/service.py
%{_datadir}/cinnamon-screensaver/__init__.py
%{_datadir}/cinnamon-screensaver/albumArt.py
%{_datadir}/cinnamon-screensaver/audioPanel.py
%{_datadir}/cinnamon-screensaver/baseWindow.py
%{_datadir}/cinnamon-screensaver/cinnamon-screensaver.css
%{_datadir}/cinnamon-screensaver/clock.py
%{_datadir}/cinnamon-screensaver/config.py
%{_datadir}/cinnamon-screensaver/constants.py
%{_datadir}/cinnamon-screensaver/floating.py
%{_datadir}/cinnamon-screensaver/infoPanel.py
%{_datadir}/cinnamon-screensaver/manager.py
%{_datadir}/cinnamon-screensaver/monitorView.py
%{_datadir}/cinnamon-screensaver/osk.py
%{_datadir}/cinnamon-screensaver/passwordEntry.py
%{_datadir}/cinnamon-screensaver/playerControl.py
%{_datadir}/cinnamon-screensaver/singletons.py
%{_datadir}/cinnamon-screensaver/stage.py
%{_datadir}/cinnamon-screensaver/status.py
%{_datadir}/cinnamon-screensaver/unlock.py
%{_datadir}/cinnamon-screensaver/volumeControl.py
%{_datadir}/cinnamon-screensaver/__pycache__
%{_datadir}/cinnamon-screensaver/dbusdepot
%{_datadir}/cinnamon-screensaver/pamhelper
%{_datadir}/cinnamon-screensaver/util
%{_datadir}/cinnamon-screensaver/widgets
%{_datadir}/dbus-1/services/org.cinnamon.ScreenSaver.service
%{_desktopdir}/org.cinnamon.ScreenSaver.desktop
%{_iconsdir}/hicolor/scalable/actions/screensaver-switch-users-symbolic.svg
%{_iconsdir}/hicolor/scalable/actions/screensaver-unlock-symbolic.svg
%{_iconsdir}/hicolor/scalable/apps/csr-backup-locker-icon.svg
%{_iconsdir}/hicolor/scalable/status/cinnamon-screensaver-view-conceal.svg
%{_iconsdir}/hicolor/scalable/status/cinnamon-screensaver-view-reveal.svg
%{_iconsdir}/hicolor/scalable/status/screensaver-blank.svg
%{_iconsdir}/hicolor/scalable/status/screensaver-notification-symbolic.svg
%changelog
* Thu Dec 12 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/cinnamon-screensaver.git;a=log;h=master

* Sun Dec 08 2024 Jakub Bogusz <qboosh@pld-linux.org> 6f5cfa1
- updated to 6.4.0 (translations 6.4.1)

* Sun Jul 21 2024 Jakub Bogusz <qboosh@pld-linux.org> 9144472
- updated to 6.2.0 (translations 6.2.2)

* Wed May 01 2024 Jakub Bogusz <qboosh@pld-linux.org> ef811fe
- restored zgh locale (added in glibc 2.39)

* Tue Apr 30 2024 Jakub Bogusz <qboosh@pld-linux.org> 8e126d3
- updated to 6.0.3 (translations 6.0.2)

* Sat Jun 17 2023 Jakub Bogusz <qboosh@pld-linux.org> a82dfc7
- drop more unsupported locales (frp,mo,nap,rue,sco); release 2

* Sat Jun 17 2023 Jakub Bogusz <qboosh@pld-linux.org> ea4ea70
- new

